--- unix/configure.orig	2020-09-20 17:20:10.000000000 -0700
+++ unix/configure	2020-09-20 17:26:23.000000000 -0700
@@ -512,15 +512,17 @@ $CC $CFLAGS -c conftest.c >/dev/null 2>/
 for func in rmdir strchr strrchr rename mktemp mktime mkstemp
 do
   echo Check for $func
-  echo "int main(){ $func(); return 0; }" > conftest.c
+  echo "extern $func(void); int main(){ $func(); return 0; }" > conftest.c
   $CC $BFLAG -o conftest conftest.c >/dev/null 2>/dev/null
   [ $? -ne 0 ] && CFLAGS="${CFLAGS} -DNO_`echo $func | tr '[a-z]' '[A-Z]'`"
 done
 
 
 echo Check for memset
-echo "int main(){ char k; memset(&k,0,0); return 0; }" > conftest.c
-$CC -o conftest conftest.c >/dev/null 2>/dev/null
+cat > conftest.c << _EOF_
+#include <string.h>
+int main() { char k; memset(&k,0,0); return 0; }
+_EOF_
 [ $? -ne 0 ] && CFLAGS="${CFLAGS} -DZMEM"
 
 
@@ -556,6 +558,7 @@ $CC $CFLAGS -c conftest.c >/dev/null 2>/
 
 echo Check for directory libraries
 cat > conftest.c << _EOF_
+#include <dirent.h>
 int main() { return closedir(opendir(".")); }
 _EOF_
 
